## bluefish-0.8.0.tar.bz2

=== inline_images/Makefile ===
TOOLBAR = \
	abbr abbr.png \
	acronym acronym.png \
	anchor anchor.png \
	bluefish_icon1 bluefish_icon1.png \
	body body.png \
	bold bold.png \
	brbreak brbreak.png \
	breakall breakall.png \
	cancel cancel.png \
	center center.png \
	cite cite.png \
	close close.png \
	code code.png \
	color_select color_select.png \
	comment comment.png \
	context context.png \
	copy copy.png \
	css_small css_small.png \
	cssclass cssclass.png \
	cssdiv cssdiv.png \
	cssnewstyle cssnewstyle.png \
	cssspan cssspan.png \
	cssstyle cssstyle.png \
	cut cut.png \
	dfn dfn.png \
	dtd dtd.png \
	email email.png \
	embed embed.png \
	font font.png \
	font_base font_base.png \
	fonth1 fonth1.png \
	fonth2 fonth2.png \
	fonth3 fonth3.png \
	fonth4 fonth4.png \
	fonth5 fonth5.png \
	fonth6 fonth6.png \
	fontm1 fontm1.png \
	fontp1 fontp1.png \
	fontpre fontpre.png \
	fontsub fontsub.png \
	fontsuper fontsuper.png \
	form form.png \
	form_check form_check.png \
	form_hidden form_hidden.png \
	form_option form_option.png \
	form_radio form_radio.png \
	form_select form_select.png \
	form_submit form_submit.png \
	form_text form_text.png \
	form_textarea form_textarea.png \
	form_optiongroup form_optiongroup.png \
	frame frame.png \
	frame2 frame2.png \
	frame_base frame_base.png \
	frame_no frame_no.png \
	frameset frameset.png \
	frameset2 frameset2.png \
	framewhiz framewhiz.png \
	headings headings.png \
	help help.png \
	hrule hrule.png \
	image image.png \
	image_map image_map.png \
	italic italic.png \
	javascript_mouseover javascript_mouseover.png \
	javascript_netscape javascript_netscape.png \
	javascript_preload javascript_preload.png \
	jscript jscript.png \
	kbd kbd.png \
	linkjscript linkjscript.png \
	linkstylesheet linkstylesheet.png \
	list list.png \
	list_dd list_dd.png \
	list_dl list_dl.png \
	list_dt list_dt.png \
	list_li list_li.png \
	list_menu list_menu.png \
	list_ol list_ol.png \
	list_ul list_ul.png \
	meta meta.png \
	nbsp nbsp.png \
	netscape netscape.png \
	new new.png \
	no no.png \
	nothing nothing.png \
	ok ok.png \
	open open.png \
	open_small open_small.png \
	paragraph paragraph.png \
	paste paste.png \
	php3 php3.png \
	preferences preferences.png \
	print print.png \
	quick_start quick_start.png \
	redo redo.png \
	right right.png \
	rxml rxml.png \
	samp samp.png \
	save save.png \
	save_as save_as.png \
	search search.png \
	search_replace search_replace.png \
	spellcheck spellcheck.png \
	ssi ssi.png \
	strikeout strikeout.png \
	table table.png \
	table2 table2.png \
	table_capt table_capt.png \
	table_td table_td.png \
	table_td2 table_td2.png \
	table_th table_th.png \
	table_th2 table_th2.png \
	table_tr table_tr.png \
	table_tr2 table_tr2.png \
	tablewhiz tablewhiz.png \
	thumbnail thumbnail.png \
	underline underline.png \
	undo undo.png \
	var var.png \
	view_in_browser view_in_browser.png \
	wml_a wml_a.png \
	wml_access wml_access.png \
	wml_bold wml_bold.png \
	wml_break wml_break.png \
	wml_card wml_card.png \
	wml_do wml_do.png \
	wml_go wml_go.png \
	wml_italic wml_italic.png \
	wml_nbsp wml_nbsp.png \
	wml_noop wml_noop.png \
	wml_paragraph wml_paragraph.png \
	wml_postfield wml_postfield.png \
	wml_prev wml_prev.png \
	wml_refresh wml_refresh.png \
	wml_standard_document wml_standard_document.png \
	wml_timer wml_timer.png \
	wml_var wml_var.png

GENERAL = \
	close_small close.png

all:
	gdk-pixbuf-csource --raw --build-list $(TOOLBAR) > toolbar_icons.c
	gdk-pixbuf-csource --raw --build-list $(GENERAL) > general_icons.c

=== debian/changelog ===
bluefish (2.0-1) unstable; urgency=low

  * Gtk2 porting beta release.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri,  4 Oct 2002 23:14:20 +0200

bluefish (0.7-2) unstable; urgency=low

  * debian/control: Build-Depends on gdk-imlib1-dev; closes: #159820.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat,  7 Sep 2002 12:58:33 +0200

bluefish (0.7-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Tue, 20 Nov 2001 18:59:52 +0100

bluefish (0.6.1.20010708-2) unstable; urgency=low

  * Fixed manpage path; closes: #106553.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat,  1 Sep 2001 12:40:46 +0200

bluefish (0.6.1.20010708-1) unstable; urgency=high

  * CVS sync as of 2001-07-08, closes: #105039.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 14 Jul 2001 20:41:34 +0200

bluefish (0.6.1-3) unstable; urgency=high

  * Fixed Build-Depends: closes: #93960.

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 14 Apr 2001 14:25:49 +0200

bluefish (0.6.1-2) unstable; urgency=high

  * Depends on libgtk1.2 (>= 1.2.10-1); closes: #92210.  

 -- Davide Puricelli (evo) <evo@debian.org>  Tue, 10 Apr 2001 19:40:00 +0200

bluefish (0.6.1-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 29 Dec 2000 22:07:42 +0100

bluefish (0.6-0.cvs20001121.1) unstable; urgency=low

  * Fixed debian/rules; closes: #77879 

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 24 Nov 2000 13:36:57 +0100

bluefish (0.6-0.cvs20001121) unstable; urgency=low

  * CVS version (21st November 2000); closes: #72760.
  * Rewrote debian/rules.

 -- Davide Puricelli (evo) <evo@debian.org>  Tue, 21 Nov 2000 13:34:36 +0100

bluefish (0.5-3) unstable; urgency=low

  * Removed stupid depends on xlib6 and libc5; closes: #77512.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon, 20 Nov 2000 19:39:57 +0100

bluefish (0.5-2) unstable; urgency=low

  * New maintainer release. (closes: #77042)

 -- Davide Puricelli (evo) <evo@debian.org>  Sat, 18 Nov 2000 18:34:24 +0100
      

bluefish (0.5-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: Updated download location.
  * debian/rules: enable internal preview
  * debian/control: updated build dependencies
  * debian/rules, src/Makefile.in: implement debug/nostrip build options
  * debian/control: standards-version 3.2.0
  * debian/rules [clean-build]: remove gmo files

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 23 Aug 2000 22:38:57 +0300

bluefish (0.4-1) unstable; urgency=low

  * New upstream release

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 14 May 2000 17:16:16 +0300

bluefish (0.3.99.12-1) unstable; urgency=low

  * New upstream release

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon,  8 May 2000 22:07:11 +0300

bluefish (0.3.99.9-1) unstable; urgency=low

  * New upstream release
  * debian/rules, Makefile.in: parametrize /usr/share/pixmaps

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 12 Apr 2000 16:58:37 +0300

bluefish (0.3.6-1) unstable; urgency=low

  * New upstream release.
  * debian/bluefish.1: Removed.
  * debian/rules: Remove installation of manual page (nowadays installed
    by upstream makefiles).
  * debian/rules: Enable NLS support.
  * debian/rules: Precreate man1dir, though, and override it in upstream
    Makefile.
  * debian/rules: Recompress manpage to get -9 compression.
  * debian/copyright: Updated.
  * debian/control: Updated.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon,  6 Mar 2000 11:06:36 +0200

bluefish (0.3.5-1) unstable; urgency=low

  * New upstream release.
  * debian/bluefish.1: New file.
  * debian/rules: Install the manual page.
  * debian/rules: Disable NLS support, as it does not work yet.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 14 Jan 2000 13:27:35 +0200

bluefish (0.3.4-2) unstable; urgency=low

  * debian/control [Build-Depends]: Folding is not
    allowed in Build-Depends.  I wonder what for.
    Closes: #51628.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue, 30 Nov 1999 17:39:33 +0200

bluefish (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control [Standards-Version]: 3.1.1.
      + debian/control [Build-Depends]: Added.
      + debian/rules [debian/build-depends.stamp]: Removed.
      + debian/check-sourcedeps: Removed.
  * debian/copyright: Updated download URL.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 18 Nov 1999 23:26:46 +0200

bluefish (0.3.3a-1) unstable; urgency=low

  * New public upstream release.
      + Fixes an alpha compilation problem, closes: Bug#45747.
  * src/interface.c: Undo the previous patch, bug fixed differently
    in upstream source.
  * debian/copyright: Updated download URL and GPL location.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 10 Oct 1999 22:59:26 +0300

bluefish (0.3.2.99.8-1) local; urgency=low

  * New upstream prerelease (0.3.3pre8).   This version will not be published.
      + Fixes alpha compilation problem (Bug#45747)
  * src/interface.c: Fixed a core dump by checking for null pointer on lines
    580, 582 and 584.  Patch sent to upstream.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun,  3 Oct 1999 15:47:27 +0300

bluefish (0.3.2-3) unstable; urgency=low

  * debian/rules: 
      + Use --with-install-location with ./configure
      + make install in the source root and not in src/
      + specify install_location=... with make install
    Closes: #45351.
  * debian/rules: Modernized
      + Factorize install into its own variable.
      + Don't use install_zipped
      + Use stamp files.
      + Don't test for rootness.
      + Add a default target.
      + Split the clean target into clean-{build,binary}.
      + Move the ./configure call to its own target.
      + Remove $(rootdir) at the start of the binary targets.
  * debian/{prerm,postinst,rules}: Implement the /usr/doc transition method.
  * Makefile.in: Added a install_location variable, with default from ./configure.



=== debian/control ===
Source: bluefish
Maintainer: Davide Puricelli (evo) <evo@debian.org>
Section: web
Priority: optional
Build-Depends: debhelper, autoconf, libgtk2.0-dev, gettext, libtool, libatk1.0-dev, libfreetype6-dev, libglib2.0-dev, zlib1g-dev, libpcre3-dev
Standards-Version: 3.5.6

Package: bluefish
Architecture: any
Depends: ${shlibs:Depends}
Suggests: www-browser, weblint
Description: A Gtk+ HTML editor
 Bluefish is a GTK HTML editor for the experienced web designer.  It is
 currently in alpha stage, but still usable.  Its features include nice
 wizards for startup, tables and frame; a fully featured image insert
 dialog; thumbnail creation and automatically linking of the thumbnail
 with the original image; and configurable HTML syntax highlighting.
 .
 For validation to work you need weblint.  For preview to work,
 you need a web browser that can view local files given to it
 on the command line.

=== debian/rules ===
#! /usr/bin/make -f 

tmp:=$(shell pwd)/debian/tmp

CFLAGS = -O2
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

build: build-stamp
build-stamp:
	dh_testdir
	autoconf
	CFLAGS="$(CFLAGS)" ./configure \
	            --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man \
		    --with-internal-preview
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f build-stamp
	rm -f configure po/*.gmo po/stamp-cat-id po/bluefish.pot po/cat-id-tbl.c data/Makefile
	rm -rf $(tmp)
	dh_clean

binary-indep:

binary-arch: build 
	dh_testdir
	dh_testroot
	$(MAKE) install prefix=$(tmp)/usr sysconfdir=$(tmp)/etc mandir=$(tmp)/usr/share/man pixmapsdir=$(tmp)/usr/share/pixmaps
	dh_installdocs
	dh_installmenu
	dh_installchangelogs
ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""	
	dh_strip
endif
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
